你好,游客 登录 注册 搜索
背景:
阅读新闻

CentOS 7 安装sklearn gcc: error: ‘-Qunused-arguments’

[日期:2017-06-18] 来源:Linux社区  作者:sa14023053 [字体: ]

1. 在CentOS7上安装sklearn各种报错

gcc: error: unrecognized command line option ‘-Qunused-arguments’
gcc: error: unrecognized command line option ‘-Qunused-arguments’
gcc: error: unrecognized command line option ‘-Qunused-arguments’

google下应该是pip版本问题,之前安装的pip版本是7.1,现在最新版本都到8.1了

2. 在pipy下载pip whl安装文件

https://pypi.python.org/pypi/pip下载whl安装文件

下载:

[root@slaver3 ~]# wget https://pypi.python.org/packages/9c/32/004ce0852e0a127f07f358b715015763273799bd798956fa930814b60f39/pip-8.1.2-py2.py3-none-any.whl#md5=0570520434c5b600d89ec95393b2650b
--2016-09-05 16:19:48--  https://pypi.python.org/packages/9c/32/004ce0852e0a127f07f358b715015763273799bd798956fa930814b60f39/pip-8.1.2-py2.py3-none-any.whl
Resolving pypi.python.org (pypi.python.org)... 151.101.24.223, 2a04:4e42:6::223
Connecting to pypi.python.org (pypi.python.org)|151.101.24.223|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1198961 (1.1M) [application/octet-stream]
Saving to: ‘pip-8.1.2-py2.py3-none-any.whl100%[=====================================================>] 1,198,961    667KB/s   in 1.8s

2016-09-05 16:19:50 (667 KB/s) - ‘pip-8.1.2-py2.py3-none-any.whl’ saved [1198961/1198961]

安装

[root@slaver3 ~]# pip install pip-8.1.2-py2.py3-none-any.whl
You are using pip version 7.1.0, however version 8.1.2 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.
Processing ./pip-8.1.2-py2.py3-none-any.whl
Installing collected packages: pip
  Found existing installation: pip 7.1.0
    Uninstalling pip-7.1.0:
      Successfully uninstalled pip-7.1.0
Successfully installed pip-8.1.2

3. pip安装sklearn

[root@slaver3 Cython-0.24.1]# pip install sklearn
Collecting sklearn
Collecting scikit-learn (from sklearn)
  Downloading scikit_learn-0.17.1-cp27-cp27mu-manylinux1_x86_64.whl (17.6MB)
    100% |████████████████████████████████| 17.6MB 50kB/s
Installing collected packages: scikit-learn, sklearn
Successfully installed scikit-learn-0.17.1 sklearn-0.0

4. 验证是否安装成功

[root@slaver3 Cython-0.24.1]# ipython
Python 2.7.5 (default, Aug 18 2016, 15:58:25)
Type "copyright", "credits" or "license" for more information.

IPython 5.1.0 -- An enhanced Interactive Python.
?         -> Introduction and overview of IPython's features.
%quickref -> Quick reference.
help      -> Python's own help system.
object?   -> Details about 'object', use 'object??' for extra details.

In [1]: from sklearn.datasets import load_iris

In [2]: iris = load_iris()

In [3]: iris.data
Out[3]:
array([[ 5.1,  3.5,  1.4,  0.2],
       [ 4.9,  3. ,  1.4,  0.2],
       [ 4.7,  3.2,  1.3,  0.2],
       [ 4.6,  3.1,  1.5,  0.2],
       [ 5. ,  3.6,  1.4,  0.2],
......

本文永久更新链接地址http://www.linuxidc.com/Linux/2017-06/144934.htm

linux
相关资讯       gcc error  sklearn 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款